#
# spec file for package libxslt (Version 1.1.15)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libxml2 libxml2-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libtool libxml2 libxml2-devel perl rpm

Name:         libxslt
Summary:      XSL Transformation Library
Version:      1.1.15
Release:      1.1
License:      X11/MIT
Group:        System/Libraries
# Source:       ftp://fr.rpmfind.net/pub/libxml/libxslt-1.0.23.tar.bz2
Source:       ftp://ftp.linux.org.uk/mirrors/ftp.gnome.org/sources/libxslt/1.1/%{name}-%{version}.tar.bz2
Patch:        libxslt-aliasing.patch
Patch1:       libxslt-warn.patch
Patch10:      libxslt-xpath-pattern.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Requires:     libxml2 >= 2.6.17
URL:          http://xmlsoft.org/XSLT/

%description
This C library allows you to transform XML files into other XML files
(or HTML, text, and more) using the standard XSLT stylesheet
transformation mechanism.

It is based on libxml (version 2) for XML parsing, tree manipulation,
and XPath support. It is written in plain C, making as few assumptions
as possible and sticks closely to ANSI C/POSIX for easy embedding.
Though not primarily designed with performance in mind, libxslt seems
to be a relatively fast processor. It also includes full support for
the EXSLT set of extension functions as well as some common extensions
present in other XSLT engines.

The package comes with xsltproc, a command line interface to the XSLT
engine.



Authors:
--------
    Daniel Veillard <veillard@redhat.com>

%package devel
Summary:      Include Files and Libraries mandatory for Development.
Group:        Development/Libraries/C and C++
Requires:     %{name} = %{version}
Requires:     libxml2-devel >= 2.6.17
Requires:     libgcrypt-devel libgpg-error-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



%debug_package
%prep
%setup -q
%patch -p 1
%patch1
%patch10

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
                                    --sysconfdir=%{_sysconfdir} \
				    --libdir=%{_prefix}/%_lib \
                                    --mandir=%{_mandir}
make
make check

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# Unwanted doc stuff
rm -fr $RPM_BUILD_ROOT%{_datadir}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING* Copyright TODO FEATURES
# not available doc/*.png
%doc doc/*.html doc/html doc/tutorial doc/*.gif
%{_prefix}/%_lib/lib*.so.*
%{_prefix}/bin/xsltproc
%{_mandir}/man1/xsltproc.1*

%files devel
%defattr(-, root, root)
%{_prefix}/%_lib/lib*.so
%{_prefix}/%_lib/*a
%{_prefix}/%_lib/*.sh
%{_prefix}/%_lib/pkgconfig/*.pc
%{_prefix}/include/*
%{_datadir}/aclocal/*
%{_prefix}/bin/xslt-config
%{_mandir}/man3/*

%changelog -n libxslt
* Tue Oct 04 2005 - ke@suse.de
- libxslt-xpath-pattern.patch:
  libxslt/pattern.c: fixed problem in internal XPath compilation
  of patterns including variables, fixes GNOME bug #316861
  (William Brack).  Reported by Andreas Jaeger/Uwe Gansert.
* Fri Sep 30 2005 - aj@suse.de
- Fix compiler warnings.
- Add missing requires.
* Fri Sep 16 2005 - ke@suse.de
- Update to version 1.1.15; NEWS from  http://xmlsoft.org/XSLT/ :
  * Bug fixes and improvements.
  * Documentation enhancement.
* Wed Jul 06 2005 - meissner@suse.de
- fixed strict aliasing problem.
* Mon Apr 04 2005 - ke@suse.de
- Update to version 1.1.14; some NEWS (extract since .13) from
  http://xmlsoft.org/XSLT/ :
  * Extensions: module support; dictionnary based speedups trying to get
  rid of xmlStrEqual as much as possible.
  * Bugfixes:
  exslt day-of-week-in-month, xsl:call-template should not change the
  current template rule, evaluation of global variables, RVT's in
  XPath predicates, namespace URI on template names, pattern
  expression fixes, out of memory detection misses, parserOptions
  propagation, exclude-result-prefixes fix, // patten fix,  text node
  on stylesheet document without a dictionary, more checking of XSLT
  syntax, calling xsltInit() multiple times, bug in pattern matching
  with ancestors, bug in pattern matching with cascading select,
  xinclude and document() problem.
- CFLAGS: Add -fno-strict-aliasing.
* Fri Dec 10 2004 - ke@suse.de
- Do not list manpages twice; reported by Chris Lahey [Novell #472] and
  [# 49118].
* Tue Nov 02 2004 - ke@suse.de
- Update to version 1.1.12; some NEWS from http://xmlsoft.org/XSLT/ :
  * Bug fixes: attribute document pointer fix, exslt date negative
  periods, generated tree structure fixes, namespace lookup fix, use
  reentrant gmtime_r, exslt:funtion namespace fix, potential NULL
  pointer reference, force string interning on generated documents.
  * Improve documentation.
* Fri Oct 08 2004 - ke@suse.de
- Update to version 1.1.11; some NEWS from http://xmlsoft.org/XSLT/
  (since 1.1.9):
  * Bug fixes: xsl:include problems, UTF8 number pattern, date-time
  validation, namespace fix, various Exslt date fixes, error callback
  fixes, leak with namespaced global variable, attempt to fix a weird
  problem (Gnome Bugzilla #153137), key initialization problem.
  * Improvements: exslt:date-sum tests.
  * Documentation: Second tutorial by Panagiotis Lourida.
- Enable crypto support [#44119].
* Mon Aug 23 2004 - ke@suse.de
- Update to version 1.1.9; some NEWS from http://xmlsoft.org/XSLT/
  * Various bug fixes (RVT key handling, Python bindings, key and XPath,
  64bit issue, etc.).
* Thu Aug 19 2004 - schwab@suse.de
- Fix a broken cast.
* Wed Jul 14 2004 - ke@suse.de
- Update to version 1.1.8; some NEWS from http://xmlsoft.org/XSLT/ :
  * Bug fixes.
* Fri May 21 2004 - ke@suse.de
- Update to version 1.1.7; some NEWS from http://xmlsoft.org/XSLT/ :
  * Bugfixes: UTF-8 string tokenize, fix subtle memory corruption,
  linefeed after comment at document level, disable-output-escaping
  problem, pattern compilation in deep imported stylesheets,
  namespace extension prefix bug, namespace lookup for attribute,
  namespaced DOCTYPE name.
* Tue Apr 20 2004 - ke@suse.de
- Update to version 1.1.6; some NEWS from
  http://xmlsoft.org/XSLT/ (since 1.1.2):
  * Performance improvements (e.g., dictionnary reuses for XSLT).
  * Various bugfixes (keys, thread troubles, tokenize fix for UTF-8,
  xpath, etc.).
  * Documentation cleanup.
- Drop obsolete patch (libxslt-m4.diff).
* Mon Mar 15 2004 - ke@suse.de
- libxslt-m4.diff: Quote first argument of AC_DEFUN; reported by Dirk
  Mueller [# 35887].
* Mon Jan 12 2004 - adrian@suse.de
- build as user
* Wed Jan 07 2004 - ke@suse.de
- Update to version 1.1.2; NEWS from http://xmlsoft.org/XSLT/:
  * Documentation fixes; EXSLT documentation.
  * Bug fixes: exslt:date returning NULL strings, namespaces output,
  key and namespace definition problem, passing options down to
  the document() parser, xsl:number fixes.
* Fri Dec 12 2003 - ke@suse.de
- Update to version 1.1.1; NEWS from http://xmlsoft.org/XSLT/:
  * bug fixes: number formatting, exslt:tokenize, key selector parsing
  with |, xsl:element with computed namespaces, xslt:import/include
  recursion detection, exslt:function used in keys, bug when
  CDATA_SECTION are found in the tree, entities handling when using
  XInclude.
* Wed Nov 05 2003 - ke@suse.de
- Update to version 1.1.0; NEWS from http://xmlsoft.org/XSLT/:
  * Make use of the new libxml2 API.
  * Remove DocBook SGML broken support.
  * Remove the deprecated breakpoint library
  * Fixes: xsl:key to work with PIs, extension memory error fix, header
  path, some tortuous template problems when using predicates, a bug
  in default processing of attributes, detect invalid names on
  templates, exslt:document (and similar) base handling problem,
  * xsltproc option display fix,
  * Python: never use stdout for error.
* Tue Oct 07 2003 - ke@suse.de
- Update to version 1.0.33; NEWS from http://xmlsoft.org/XSLT/:
  * mode not cascaded in template fallbacks.
  * catch redefinition of parameter/variables.
  * multiple keys with same namespace name.
  * cdata-section-elements handling of namespaced names.
  * apply-templates crash.
  * bug with imported templates.
  * imported attribute-sets merging bug (DocBook).
* Thu Sep 18 2003 - sf@suse.de
- Do not free the hash keys during xmlHashScanFull,
  it will corrupt the hash table. The keys will be
  freed by xmlHashFree right afterwards anyway. #30506
* Fri Aug 15 2003 - ke@suse.de
- Update to version 1.0.32; NEWS from http://xmlsoft.org/XSLT/:
  * Bugfixes: xsltSaveResultToFile() python binding, EXSLT fixes,
  speed of large text output, xsl:copy with attributes, strip-space and
  namespaces prefix, fix for --path xsltproc option, sort with multiple
  keys, checking of { and } for attribute value templates.
  * Python bindings for extension elements.
  * Doc cleanup.
* Wed Jul 09 2003 - ke@suse.de
- Update to version 1.0.31; NEWS from http://xmlsoft.org/XSLT/:
  * Bugfixes: xsl:copy on namespace nodes, AVT for xsl:sort order, fix
  for the debugger, output filename limitation, trio.h and triodef.h
  added, EXSLT node-set, xsltChoose and whitespace, stylesheet
  compilation, NaN and sort.
  * Avoid generating &quot; (fix in libxml2-2.5.8)
* Tue Jun 17 2003 - sbrabec@suse.cz
- Updated to version 1.0.30.
- Fixed linking of libxsltbreakpoint.
* Mon May 26 2003 - ke@suse.de
- Remove unwanted files from $RPM_BUILD_ROOT.
* Wed Apr 02 2003 - ke@suse.de
- Update to version 1.0.29; NEWS from http://xmlsoft.org/XSLT/:
  Significant speedup for large (flat) documents which also requires
  libxml2-2.5.6:
  * Bug fixes: Result Value Tree handling, XML IDs, keys(), extra namespace
  declarations with xsl:elements.
* Wed Mar 26 2003 - ke@suse.de
- Update to version 1.0.28; NEWS from http://xmlsoft.org/XSLT/:
  * Fix node() in patterns semantic.
  * Fix a memory access problem in format-number()
  * Fix stack overflow in recursive global variable or params
  * Clean up Result Value Tree handling, and fix a couple of
  old bugs in the process.
* Tue Feb 11 2003 - ke@suse.de
- Update to version 1.0.26; NEWS from http://xmlsoft.org/XSLT/:
  * Fixed 3 serious bugs in document() and stylesheet compilation which
  could lead to a crash.
* Thu Feb 06 2003 - ke@suse.de
- Update to version 1.0.24; NEWS from http://xmlsoft.org/XSLT/:
  * Bug fixes: double-free for standalone stylesheets introduced in
  1.0.24, C syntax pbm, etc.
  * Some XPath and XInclude related problems were actually fixed in
  libxml2-2.5.2.
  * Documentation: emphasize that --docbook is not for XML docs.
* Wed Jan 15 2003 - ke@suse.de
- Update to version 1.0.24; NEWS from http://xmlsoft.org/XSLT/:
  A lot of bug fixes and a few improvements:
  * Bug fixes: imported global varables, python bindings, EXSLT memory
  leak, namespace generation on xsl:attribute, space handling with
  imports, extension-element-prefixes, comments within xsl:text,
  superfluous xmlns generation, XInclude related bug for numbering,
  EXSLT strings, attribute-sets computation on imports, extension module
  init and shutdown callbacks not called.
  * Add xsltGetProfileInformation().
  * Fix API generation scripts.
  * API to provide the sorting routines.
  * Add XML description of the EXSLT API.
  * Add ESXLT URI (un)escaping.
  * Fix some memory leaks.
  * document() now supports fragment identifiers in URIs.
* Tue Nov 26 2002 - ro@suse.de
- split libxslt-python to own specfile
  (libxslt is turning more and more into a base package
  and python requires a lot of other things to build)
- removed gtkdoc from neededforbuild (html is not rebuilt anyway)
* Mon Nov 18 2002 - ke@suse.de
- Update to version 1.0.23; NEWS from http://xmlsoft.org/XSLT/:
  * Improvement of the python bindings: extension functions and
  activating EXSLT.
  * various bug fixes: number formatting, portability for bounded string
  functions, CData nodes, key(), @*[...] patterns.
  * Documentation improvements.
  * Add libxslt.m4.
- Require libxml2 2.4.27.
* Thu Oct 31 2002 - ke@suse.de
- Update to version 1.0.22; NEWS from http://xmlsoft.org/XSLT/:
  * Add a security module, and a related set of new options to xsltproc.
  * Allow per transformation error handler.
  * Fix a few bugs: node() semantic, URI escaping, media-type, attribute
  lists.
* Wed Oct 09 2002 - ke@suse.de
- Update to version 1.0.21; NEWS from http://xmlsoft.org/XSLT/:
  * Bug  fixes:  match="node()",  date:difference(), disable-output-escaping
  * Mem leak fix.
  * Python bindings: style.saveResultToString().
  * Documentation improvements.
  * try  to  handle  document('') as best as possible depending in the
  cases
  * Fix the DocBook stylesheets handling problem
  * Fix a few XSLT reported errors
- Drop namespace patch (already included).
* Tue Aug 20 2002 - ke@suse.de
- Apply patch by Daniel Veillard to fix a namespace problem raised by
  recent DocBook stylesheets
  (cf. http://bugzilla.gnome.org/show_bug.cgi?id=87901).
  Reported by Stephan Kulow [# 18099].
* Wed Jul 31 2002 - ke@suse.de
- Run %%run_ldconfig.
* Mon Jul 08 2002 - ke@suse.de
- Update to version 1.0.19; NEWS from http://xmlsoft.org/XSLT/, not
  mentioned earlier:
  * Bug fixes: attributes, extra namespace declarations (DocBook),
  xsl:include crash, documentation, element-available.
  * xsltproc can now list registered extensions.
  * New API to save directly to a string xsltSaveResultToString().
  * Specific error registration function for the python API.
* Wed May 29 2002 - ro@suse.de
- tweak python installation some more for lib64
* Tue May 28 2002 - ke@suse.de
- Update to 1.0.18:
- Add Pyhton bindings (libxslt-python).
- Bug fixes.
- New man page for libexslt.
* Tue Apr 30 2002 - ke@suse.de
- Update to version 1.0.17; NEWS from http://xmlsoft.org/XSLT/ :
  o EXSLT date improvement and regression tests.
  o Attempt to fix a bug in xsltProcessUserParamInternal.
* Fri Apr 19 2002 - ke@suse.de
- Update to version 1.0.16; NEWS from http://xmlsoft.org/XSLT/ :
  o Bug fixes: strip-space, URL in HTML output, error when xsltproc
  can't save.
  o Improve Python bindings.
* Tue Apr 09 2002 - ke@suse.de
- Update to version 1.0.15; NEWS since 1.0.9 from http://xmlsoft.org/XSLT/ :
  * Change of Licence to the MIT Licence.
  * Bugfixes: XPath, python Makefile, recursive attribute sets,
  @foo[..] templates.
  * Fix a bug raised when using doctypes with HTML output.
  * More EXSLT functions.
  * Provide fixes and regression tests for exslt date functions.
  * Nasty bug fix related to exslt:node-set.
  * Fix bug "namespace node have no parents".
  * Obsoleted libxsltbreakpoint now deprecated and frozen to 1.0.8 API
  * xsltproc return codes are now significant, update documentation.
  * Debug of memory alocation with valgind.
  * Patch to allow as much as 40 steps in patterns.
  * Enhancements to interface with xsltdebugger.
  * Added a stringparam option to avoid escaping hell at the shell level.
  * serious profiling leading to significant improvement for DocBook
  processing.
  * Improvement in the XPath engine (libxml2-2.4.18).
  * Add Python bindings.
  * Documentation changes and updates.
* Wed Feb 20 2002 - olh@suse.de
- fix prefix tag to build shared libs
* Wed Feb 13 2002 - adrian@suse.de
- fix build for s390x
* Tue Dec 11 2001 - ro@suse.de
- use less intrusive hack for libtool: export LIBRARY_PATH
* Thu Nov 29 2001 - ro@suse.de
- install without buildroot first to work around libtool
  not being able to cope with dependant libraries and buildroot
* Tue Nov 27 2001 - ke@suse.de
- Update to version 1.0.8; NEWS from http://xmlsoft.org/XSLT/ :
- Previous header patch is superfluous.
- Bug fixes.
* Tue Nov 20 2001 - ke@suse.de
- Add missing define; cf.
  http://mail.gnome.org/archives/xslt/2001-November/msg00052.html .
- NEWS for 1.0.7 entries from http://xmlsoft.org/XSLT/ (not
  mentioned earlier):
- Fix handling of indent="no" on HTML output.
* Sat Nov 10 2001 - adrian@suse.de
- Update to version 1.0.7
- add fixes for automake 1.5
* Sat Nov 03 2001 - ro@suse.de
- fix for automake 1.5
* Wed Oct 31 2001 - ke@suse.de
- Update to version 1.0.6; NEWS from http://xmlsoft.org/XSLT/ :
- Bug fixes on number formatting and date/time functions.
- Fix DOCTYPE generation rules for HTML output.
* Thu Oct 11 2001 - ke@suse.de
- Update to version 1.0.5; NEWS from http://xmlsoft.org/XSLT/ :
- Portability fixes.
- Fix a dozen bugs on XSLT and EXSLT.
- Add support for Saxon's evaluate and expressions extensions.
- Better handling of XPath evaluation errors.
* Mon Oct 01 2001 - ke@suse.de
- Update to version 1.0.4; NEWS from http://xmlsoft.org/XSLT/ :
- Documentation updates.
- Bug fixes (DocBook FO generation should be fixed) and portability
  improvements.
- Improve existing EXSLT support and add String, Time and Date core
  functions support.
* Fri Aug 24 2001 - ke@suse.de
- Update to version 1.0.3; from the announcement (cf. libxml2):
- Implement XML Catalog Specification from August 6:
  http://www.oasis-open.org/committees/entity/spec-2001-08-06.html
  http://xmlsoft.org/catalog.html
- New NaN and Infinity code.
- A number of small bugfixes.
* Fri Aug 17 2001 - ke@suse.de
- Update to version 1.0.2.
- Call 'libtoolize' and friends.
* Wed Jul 11 2001 - ke@suse.de
- New package: version 1.0.0.
